Sun Java JRE External XML Entities Restriction Bypass (231246) (Unix)

High Nessus Plugin ID 64825

Synopsis

The remote Unix host has an application that is affected by a security bypass vulnerability.

Description

According to its version number, the Sun Java Runtime Environment (JRE) installed on the remote host reportedly allows processing of external entity references even when the 'external general entities' property is set to 'FALSE'. This could allow an application to access certain URL resources, such as files or web pages, or to launch a denial of service attack against the system.

Note that successful exploitation requires that specially crafted XML data be processed by a trusted application rather than by an untrusted applet or Java Web Start application.

Solution

Upgrade to Sun JDK and JRE 6 Update 4 or later.

See Also

https://seclists.org/bugtraq/2008/Feb/7

https://download.oracle.com/sunalerts/1018967.1.html

Plugin Details

Severity: High

ID: 64825

File Name: sun_java_jre_231246_unix.nasl

Version: 1.8

Type: local

Family: Misc.

Published: 2013/02/22

Updated: 2019/12/04

Dependencies: 64815

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2008-0628

CVSS v2.0

Base Score: 7.8

Temporal Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:oracle:jre

Required KB Items: Host/Java/JRE/Installed

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2008/01/30

Reference Information

CVE: CVE-2008-0628

BID: 27553

CWE: 264